@import url("https://fonts.googleapis.com/css2?family=Nunito:wght@600&display=swap");

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box; /* There is a box whose size will grow inwards when this property is used. */
}

img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

html {
  font-family: "Nunito";
  font-size: 12px;
}

section {
  min-height: 100vh;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 100px 0;
  background-color: rgb(26, 26, 27);
}

.container {
  width: 90%;
  height: auto;
  max-width: 1200px;
  margin: 0 auto;
}

.brand {
  text-align: center;
  font-size: 4rem;
  color: whitesmoke;
}

form {
  padding: 0;
  margin: 20px auto;
  max-width: 400px;
  width: 90%;
  background-color: rgb(223, 223, 223);
  border-radius: 30px;
  display: flex;
  flex-direction: row;
  /* box-sizing: border; */
}

form input {
  width: 100%;
  font-size: 1.6rem;
  border: none;
  background-color: transparent;
  padding: 1rem;
  outline: none;
}

form input:hover {
  cursor: pointer;
}

form ion-icon {
  font-size: 2rem;
  margin-top: auto;
  margin-bottom: auto;
  margin-right: 1rem;
  color: rgb(75, 75, 75);
}

.search-result {
  margin-top: 50px;
  width: 100%;
  display: grid;
  grid-gap: 0.6rem;
  grid-template: auto / repeat(auto-fit, minmax(300px, 1fr));
}

.item {
  width: 100%;
  background-color: rgb(37, 37, 37);
  padding: 1rem;
  border-radius: 8px;
  overflow: hidden;
  /* box-sizing: border-box; */
}

.item img {
  width: 100%;
  height: 300px;
  border-radius: 4px;
  margin-bottom: 1.2rem;
}

.item .flex-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.item .title {
  color: whitesmoke;
  margin: 20px 10px 0 0;
  font-size: 1.8rem;
  font-weight: 400;
}

.view-btn {
  text-decoration: none;
  text-align: center;
  width: 130px;
  padding: 10px 0;
  color: white;
  background-color: #404041;
  border-radius: 8px;
  margin-top: auto;
  font-size: 1.2rem;
}

.item-data {
  color: whitesmoke;
  display: block;
  font-size: 1.2rem;
  margin-top: 10px;
  letter-spacing: 0.05rem;
  line-height: 2rem;
}

footer {
  display: flex;
  flex-direction: row;
  justify-content: center;
}
.pagination {
  /* display: inline-block; */
  align-self: center;
  /* margin-left: 50%; */
  /* margin-right: auto */
}

.pagination a {
  color: black;
  float: left;
  padding: 2rem 16px;
  text-decoration: none;
  font-size: 1.6rem;
}

.loader {
  display: none;
  margin-top: 8rem;
  margin-left: auto;
  margin-right: auto;
  border: 16px solid #f3f3f3;
  border-radius: 50%;
  border-top: 16px solid #3498db;
  width: 120px;
  height: 120px;
  -webkit-animation: spin 2s linear infinite; /* Safari */
  animation: spin 2s linear infinite;
}
/* Safari */
@-webkit-keyframes spin {
  0% {
    -webkit-transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
  }
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
